Conigure OpenAFS on Ubuntu 16.04 based on kernel: 4.8.x-x-generic

Recently, I’ve installed Ubuntu 16.04 LTS on my PC and also configured OpenAFS to get connectivity with DICE AFS, from which I met a problem below:

aklog: a pioctl failed while obtaining tokens for cell

This problem was caused by failing compilation for openafs-client based on  the new 4.8 series kernel. One solution is rolling back to an old kernel which is not recommended and another one is to add new PPA to update new OpenAFS 1.6.x stable release series(from 1.6.15 to 1.6.20):

$ sudo add-apt-repository ppa:openafs/stable
$ sudo apt-get update

Then following the instruction from computing help: http://computing.help.inf.ed.ac.uk/afs-debian-ubuntu to configure AFS.